Subject: Re: [PATCH v6 1/3] diff.c: remove output_prefix_length field

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Aug 2016 11:03:20 -0700

Jacob Keller <[email-masked]> writes:

> From: Junio C Hamano <[email-masked]>

Thanks.  I had quite a many typoes in this one.

> "diff/log --stat" has a logic that determines the display columns
> available for the diffstat part of the output and apportions it for
> pathnames and diffstat graph automatically.
>
> 5e71a84a (Add output_prefix_length to diff_options, 2012-04-16)
> added the output_prefix_length field to diff_options structure to
> allow this logic subtract the display columns used for display the

s/^.*$/allow this logic to subtract the display columns used for the/

> history graph part from the total "terminal width"; this matters
> when the "git log --graph -p" option is in use.
>
> The field be set to the number of display columns needed to show the

s/field be/field must be/

> output from the output_prefix() callback.  Any new output_prefix()
> callback must also update the field accordingly, which is error

"output from the output_prefix() callback, which is error"

> prone.

No need to resend; I had it with the above fix in 'pu' for a few
days already ;-)